Name: junit4
Version: 4.1
Release: alt2

Summary: Testing framework for Java
Group: Development/Java
License: CPL
URL: http://junit.org/

%define pkgdocdir %_docdir/%name-%version

BuildArch: noarch

BuildPreReq: rpm-build-java

Conflicts: junit

Source: %name.tar

%description
JUnit is a regression testing framework written by Erich Gamma and
Kent Beck.  It is used by the developer who implements unit tests in
Java.

%package javadoc
Summary: Javadoc for Junit
Group: Development/Java

%description javadoc
This is Javadoc-generated API documentation for Junit,
a regression testing framework in Java.

%package manual
Summary: Manual for Junit
Group: Development/Java
Conflicts: junit < 3.8.2-alt1

%description manual
Documentation for Junit, a regression testing framework in Java.

%package demo
Summary: Samples for Junit
Group: Development/Java
Requires: %name = %version-%release

%description demo
Samples for Junit, a regression testing framework in Java.

%prep
%setup -q -c
%if_with origsrc
#rm -f junit.jar
#find junit -name '*.class' -delete
#unzip -q src.jar
rm src.jar
cd ..
tar cf - %name%version | bzip2 -9 > %_sourcedir/%name%version.tar.bz2
cd -
%endif

##build
#ant dist

%install
mkdir -p %buildroot%_javadir %buildroot%_datadir/%name
install -p -m644 junit-4.1.jar %buildroot%_javadir
install -d -m755 %buildroot%_javadocdir/%name
cp -a javadoc/* %buildroot%_javadocdir/%name
install -d -m755 %buildroot%pkgdocdir
cp -a *.html doc junit/samples %buildroot%pkgdocdir
ln -s $(relative %_javadocdir/%name %pkgdocdir/) %buildroot%pkgdocdir/javadoc
ln -s junit-4.1.jar %buildroot%_javadir/junit.jar
mv %buildroot%pkgdocdir/samples %buildroot%_datadir/%name/samples

%files
%_javadir/junit-4.1.jar
%_javadir/junit.jar
%dir %pkgdocdir
%pkgdocdir/*.html

%files javadoc
%_javadocdir/*
%dir %pkgdocdir
%pkgdocdir/javadoc

%files manual
%dir %pkgdocdir
%pkgdocdir/doc

%files demo
%dir %_datadir/%name
%_datadir/%name/samples

%changelog
* Sun Mar 25 2007 Denis Smirnov <mithraen@altlinux.ru> 4.1-alt2
- Update from upstream
- Add conflict with junit 3.8

* Sun Jul 02 2006 Mikhail Zabaluev <mhz@altlinux.ru> 4.1-alt1
- New package for JUnit 4.x
- Patch0: ignore a test relying on Java VM exit code that fails
- Relocated samples to /usr/share/junit4
